Package weka.core.pmml.jaxbbindings

# Enum Class TIMESERIESALGORITHM

java.lang.Object
java.lang.Enum<TIMESERIESALGORITHM>
weka.core.pmml.jaxbbindings.TIMESERIESALGORITHM

All Implemented Interfaces:
  `Serializable`, `Comparable<TIMESERIESALGORITHM>`, `Constable`

public enum TIMESERIESALGORITHM extends Enum<TIMESERIESALGORITHM>

Java class for TIMESERIES-ALGORITHM.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="TIMESERIES-ALGORITHM">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ARIMA"/>
         <enumeration value="ExponentialSmoothing"/>
         <enumeration value="SeasonalTrendDecomposition"/>
         <enumeration value="SpectralAnalysis"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARIMA`
  `EXPONENTIAL_SMOOTHING`
  `SEASONAL_TREND_DECOMPOSITION`
  `SPECTRAL_ANALYSIS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TIMESERIESALGORITHM`
  `fromValue(String v)`
  `String`
  `value()`
  `static TIMESERIESALGORITHM`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TIMESERIESALGORITHM[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ARIMA

    public static final TIMESERIESALGORITHM ARIMA

  - ### EXPONENTIAL_SMOOTHING

    public static final TIMESERIESALGORITHM EXPONENTIAL_SMOOTHING

  - ### SEASONAL_TREND_DECOMPOSITION

    public static final TIMESERIESALGORITHM SEASONAL_TREND_DECOMPOSITION

  - ### SPECTRAL_ANALYSIS

    public static final TIMESERIESALGORITHM SPECTRAL_ANALYSIS

- ## Method Details

  - ### values

    public static TIMESERIESALGORITHM[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TIMESERIESALGORITHM valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static TIMESERIESALGORITHM fromValue(String v)